#pragma once

#include "CoreMinimal.h"
#include "QuestEventEvaluatorBase.h"
#include "InDirectionOfKillerQEEvaluator.generated.h"

class AKiller;

UCLASS(Blueprintable)
class UInDirectionOfKillerQEEvaluator : public UQuestEventEvaluatorBase
{
	GENERATED_BODY()

private:
	UPROPERTY(EditInstanceOnly, BlueprintReadWrite, Transient, meta=(AllowPrivateAccess=true))
	TArray<AKiller*> _killers;

public:
	UInDirectionOfKillerQEEvaluator();
};

FORCEINLINE uint32 GetTypeHash(const UInDirectionOfKillerQEEvaluator) { return 0; }
